{
  "schema_version": "1.4.0",
  "id": "GHSA-r5g6-p8gj-vr5r",
  "modified": "2022-05-01T18:09:47Z",
  "published": "2022-05-01T18:09:47Z",
  "aliases": [
    "CVE-2007-3034"
  ],
  "details": "Integer overflow in the AttemptWrite function in Graphics Rendering Engine (GDI) on Microsoft Windows 2000 SP4, XP SP2, and Server 2003 SP1 allows remote attackers to execute arbitrary code via a crafted metafile (image) with a large record length value, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-3034"
    },
    {
      "type": "WEB",
      "url": "https://docs.microsoft.com/en-us/security-updates/securitybulletins/2007/ms07-046"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A2088"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26423"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/640136"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/476505/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/25302"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018563"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA07-226A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2870"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-08-14T21:17:00Z"
  }
}